@media (min-width: 922px) {
    .site-primary-header-wrap.ast-container {
        max-width: 1300px !important;
    }
}

.ast-above-header.ast-above-header-bar {
    margin-top: -37px;
}

header .custom-logo-link img {
    height: auto !important;
}

.dropdown-arrow {
    margin-left: 5px;
}

.course-banner {
    display: flex;
    justify-content: center;
    transition: all 0.3s ease;
}

.sticky-active {
    position: sticky;
    top: 0;
    z-index: 999;
    width: max-content;
    margin: auto;
}

.course-banner.sticky-active img {
    /* image-rendering: crisp-edges;
    image-rendering: pixelated; */
    object-fit: cover;
    height: 35px;
}

@media screen and (max-width:768px) {
    .course-banner.sticky-active img {
        width: auto;
        height: 36px;
        /* or whatever your intended height is */
        max-width: 100%;
        image-rendering: auto;
    }

    .sticky-active {
        width: auto;
    }

    .hero-banner-container {
        height: auto;
    }
}

ul.mega-menu-list {
    display: flex;
    margin: 0;
    list-style: none;
    align-items: center;
    font-size: 16px;
    font-weight: 500;
    color: var(--teflie-navy-blue);
    gap: var(--teflie-space-sm);
}

ul.mega-menu-list .mega-menu-link {
    font-weight: 500;
    color: var(--teflie-navy-blue);
}

nav>ul>li.mega-menu-item {
    margin-bottom: 0;
}

.mega-menu-dropdown {
    background: var(--teflie-background-warm);
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    box-shadow: var(--teflie-shadow-lg);
    opacity: 0;
    visibility: hidden;
    transition: all 0.3s ease;
    z-index: 1001;
    margin-top: 0;
}

.mega-menu-dropdown.has-cta-section {
    background: linear-gradient(to right, var(--teflie-background-warm) 50%, var(--teflie-background-vanilla) 50%);
}

.mega-menu-item.openmenu .mega-menu-dropdown {
    opacity: 1;
    visibility: visible;
}

.mega-menu-item .menu-item-icon {
    width: 25px;
}

.mega-menu-content {
    width: 1200px;
    margin: auto;
    display: flex;
}

.mega-menu-content .menu-content-left {
    flex: 0 0 75%;
    background: var(--teflie-background-warm);
}

.mega-menu-dropdown:not(.has-cta-section) .mega-menu-content .menu-columns {
    grid-template-columns: 1fr 1fr 1fr;
}

.mega-menu-content .menu-columns {
    background: var(--teflie-background-warm);
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: var(--teflie-space-md);
    padding: var(--teflie-space-md) 0 var(--teflie-space-sm);
    /* height: 100%; */
}

.mega-menu-content .mega-menu-cta-section {
    background: var(--teflie-background-vanilla);
    flex: 0 0 25%;
    padding: var(--teflie-space-lg) 0 var(--teflie-space-lg) var(--teflie-space-xl);
}

.mega-menu-content .menu-columns .column-header {
    display: inline-flex;
    gap: var(--teflie-space-xs);
    align-items: center;
    margin-bottom: var(--teflie-space-xs);
}

.mega-menu-content .column-header .column-title {
    font-size: 16px;
    font-weight: var(--teflie-font-weight-bold);
    color: var(--teflie-turquoise) !important;
    line-height: 1.25;
}

.mega-menu-content .column-links {
    list-style: none;
    margin-left: var(--teflie-space-md);
    margin-bottom: 0;
}

.mega-menu-content .column-links .column-link-item {
    line-height: 1;
    margin-bottom: 0;
}

.mega-menu-content .column-links .column-link-item:not(:last-of-type) {
    margin-bottom: 7px;
}

.mega-menu-content .column-links .column-link {
    color: var(--teflie-text-primary);
    font-weight: var(--teflie-font-weight-medium);
    font-size: 15px;
}

.contact-bar {
    display: flex;
    align-items: center;
    gap: 5px;
    padding: 20px 0;
    flex-wrap: wrap;
    background-color: var(--teflie-background-warm);
    position: relative;
}

.contact-bar::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 92%;
    height: 1px;
    background-color: #0000001F;
}

h4.contact-label {
    color: var(--teflie-text-primary-dark);
    font-size: 18px;
    font-weight: 500;
}

.contact-bar .contact-item {
    border-right: 1px solid #2D3F4033;
    padding-right: 10px;
}

.contact-bar .contact-item:last-child {
    border-right: 0;
}

.contact-bar .contact-item a {
    font-size: 16px;
    font-weight: 400;
    color: #2D3F40CC;
}

.mega-menu-cta-section .cta-section-title {
    font-size: 18px;
    color: var(--teflie-text-primary-dark);
    margin-bottom: var(--teflie-space-xs);
    font-weight: var(--salmond-semibold);
}

.mega-menu-cta-section .cta-cards {
    display: flex;
    flex-direction: column;
    gap: var(--teflie-space-xs);
}

.mega-menu-cta-section .cta-card-link {
    display: flex !important;
    background: var(--teflie-white);
    display: inline-flex;
    align-items: center;
    justify-content: space-between;
    padding: var(--teflie-space-sm);
    border-radius: var(--teflie-radius-2xl);
    color: var(--teflie-text-primary);
}

.mega-menu-cta-section .cta-card-link:focus,
.mega-menu-cta-section .cta-card-link:focus-visible {
    outline: none !important;
}

.mega-menu-cta-section .cta-card-link .cta-title {
    color: var(--teflie-text-primary-dark);
    font-size: 16px;
    font-weight: var(--teflie-font-weight-medium);
}

.cta-card {
    width: 100%;
    max-width: 320px;
    border-radius: 24px;
    overflow: hidden;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.08);
}

.cta-card .cta-bg-img {
    width: 100%;
    height: 100px;
    background-size: cover;
    background-position: center;
}

.cta-card .card-container {
    padding: 20px;
    border-radius: 0 0 24px 24px;
    background: #CCE7E2;
}

.cta-card .card-title {
    font-size: 18px;
    font-weight: 600;
    color: var(--teflie-text-primary-dark);
    margin-bottom: 8px;
}

.cta-card .cta-summary {
    font-size: 16px;
    line-height: 140%;
    margin-bottom: 16px;
    font-weight: 400;
    color: var(--teflie-text-primary);
}

.cta-card-link {
    padding: 8px 24px !important;
    border-radius: 50px !important;
}

.cta-card-link.hidden-link {
    display: none !important;
}

.cta-card .cta-card-link.click-link {
    gap: 13px;
}

.cta-card .cta-card-link .cta-title {
    font-size: 16px;
}


.header-cta-icons {
    display: flex;
    gap: 12px;
    justify-content: center;
    align-items: center;
    margin-bottom: 18px;
}

.search-input-field-wrapper {
    opacity: 1;
    transform: translate(0);
    transition: all 0.4s ease-in-out;
    position: absolute;
    top: 0;
    left: 32px;
    z-index: 2;
}

.search-input-field-wrapper {
    opacity: 1;
    transform: translate(0, -50%);
    transition: all 0.4s ease-in-out;
    position: absolute;
    top: 50%;
    left: calc(-100% - 200px);
    z-index: 2;
}

.search-input-field-wrapper.hidden {
    opacity: 0;
    transform: translate(160px, -50%);
    z-index: -1;
}

.search-input-field-wrapper.hidden input {
    position: relative;
    z-index: -1;
}

.search-input-field-wrapper input {
    position: relative;
    z-index: 2;
}

.search-input-container .search-icon {
    cursor: pointer;
}

.search-input-container form {
    position: relative;
}

.search-submit-icon {
    position: absolute;
    right: 10px;
    z-index: 9;
    top: 50%;
    transform: translateY(-50%);
    height: 1rem;
    cursor: pointer;
}

.menu-list.main-header-menu a,
.menu-list.main-header-menu a:hover,
.menu-list.main-header-menu a:focus {
    color: #193847;
}

.column-link[href*="teach-english-jobs"] {
    font-weight: bold !important;
}


.mobile-tel-btn {
    display: none;
}

@media (max-width: 921px) {
    .mobile-tel-btn {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .mobile-tel-btn svg {
        width: 20px;
        height: 20px;
        fill: #193847;
        /* stroke: #193847; */
        stroke-width: 1;
        margin-top: 4px;
        margin-left: 4px;
    }
}

.header-widget-area section.widget_block:empty {
    display: none;
}

/* Banner Styling */

body.home .header-banner>.ast-container {
    display: block;
}

body.megamenu-open .header-banner {
    position: relative;
    top: 0 !important;
    z-index: 0 !important;
}

.header-banner {
    background-image: url('/wp-content/uploads/2026/02/Pattern.png');
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    position: sticky;
    top: 0;
    z-index: 9999 !important;
}

.header-banner.is-admin {
    top: 32px;
}

.header-banner .countdown {
    background: var(--teflie-background-vanilla);
    padding: var(--teflie-space-xs) var(--teflie-space-md);
    border-radius: 16px;
    /* margin-top: var(--teflie-space-sm);
    margin-bottom: var(--teflie-space-sm); */
}

.header-banner .clock {
    display: flex;
    justify-content: space-between;
    margin-top: var(--teflie-space-xs);
    gap: 20px;
    line-height: var(--ast-body-line-height, 1.4em);
    color: var(--teflie-text-primary);
}

.header-banner .clock>div {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.header-banner .clock .clock-inner {
    display: flex;
    font-weight: var(--teflie-font-weight-semibold);
    gap: 1px;
    font-size: 24px;
}

.header-banner .clock .digit-text {
    font-size: 14px;
}

.header-banner .banner-row {
    --banner-gap: 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: var(--banner-gap);
    padding: 20px 0;
}

.header-banner .banner-content {
    flex: 0 0 calc(40% - var(--banner-gap));
    max-width: calc(40% - var(--banner-gap));
    text-align: left;
    color: #fff;
    font-size: var(--content-font-size, 24px);
    line-height: 1.4;
    display: flex;
    align-items: center;
}

.header-banner .banner-content p {
    margin: 0;
}

.header-banner .banner-clock-container {
    flex: 0 0 calc(30% - var(--banner-gap));
    max-width: calc(30% - var(--banner-gap));
    display: flex;
    justify-content: center;
}

.header-banner .banner-button-container {
    flex: 0 0 calc(30% - var(--banner-gap));
    max-width: calc(30% - var(--banner-gap));
    display: flex;
    justify-content: flex-end;
}

.header-banner.no-clock .banner-content {
    flex: 0 0 calc(65% - var(--banner-gap));
    max-width: calc(65% - var(--banner-gap));
}

.header-banner.no-clock .banner-button-container {
    flex: 0 0 calc(35% - var(--banner-gap));
    max-width: calc(35% - var(--banner-gap));
}

@media screen and (min-width:769px) {
    .header-banner .banner-button-container .header-banner-link {
        white-space: nowrap;
        min-width: 75%;
    }
}

.header-banner .promo-logo-container-wrapper {
    display: none;
}

.banner-button-container a {
    font-size: var(--cta-font-size, 16px);
}

@media (max-width: 991px) {
    .header-banner .banner-content {
        flex: 0 0 45%;
        max-width: 45%;
        font-size: 16px;
    }

    .header-banner .banner-clock-container {
        flex: 0 0 25%;
        max-width: 25%;
    }

    .header-banner .banner-button-container {
        flex: 0 0 25%;
        max-width: 25%;
    }

    .header-banner .banner-row {
        gap: 15px;
    }
}

@media (max-width: 768px) {
    .header-banner {
        background-size: auto 100%;
        background-position: center;
    }

    .header-banner .banner-row {
        flex-direction: column;
        gap: 8px;
        padding: 12px 0;
    }

    .header-banner .banner-content {
        flex: 0 0 100%;
        max-width: 100%;
        text-align: center;
        font-size: 14px;
        flex-direction: column;
        gap: 10px;
    }

    .header-banner .banner-logo {
        width: 50px;
        margin: 0;
    }

    .header-banner .banner-clock-container {
        display: none;
    }

    .header-banner .banner-content p {
        margin-bottom: 0;
    }

    .header-banner .banner-button-container {
        flex: 0 0 100%;
        max-width: 100%;
        justify-content: center;
    }

    .header-banner .banner-button-container .header-banner-link {
        padding: 8px 24px;
        margin-top: 0;
        font-size: 14px;
        line-height: 1;
    }
}

.header-banner .banner-logo {
    width: 70px;
    flex-shrink: 0;
    margin-right: 16px;
}


@media screen and (max-width:768px) {
    .header-banner .banner-logo {
        margin: 0 0 10px 0;
        width: 50px;
        display: none;
    }

    .header-banner.no-clock .banner-content {
        flex: 100%;
        width: 100%;
        max-width: 100%;
    }
}

/* Certificate Verification CTA */

.verify-cert-cta {
    background: #2D4040;
    border-radius: 20px;
    padding: 16px;
    text-align: center;
    overflow: hidden;
    margin-top: 1rem;
}

.verify-cert-cta .cta-header {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 16px;
    margin-bottom: 10px;
}

.verify-cert-cta .cta-badge img {
    width: 40px;
}

.verify-cert-cta .cta-header__text {
    display: flex;
    flex-direction: column;
    text-align: left;
    line-height: 1.2;
}

.verify-cert-cta .cta-header__light {
    /* font-size: 28px; */
    font-weight: 400;
    color: #fff;
}

.verify-cert-cta .cta-header__bold {
    /* font-size: 32px; */
    font-weight: 700;
    color: #fff;
}

.verify-cert-cta .cta-divider {
    border: none;
    height: 1px;
    background: rgba(255, 255, 255, 0.2);
    margin: 0 0 10px;
}

.verify-cert-cta .cta-content p {
    font-size: 14px;
    font-weight: 600;
    color: #fff;
    line-height: 1.4;
    margin: 0;
}

.verify-cert-cta .cta-highlight {
    color: #4EBABB;
    font-weight: 500;
}

.verify-cert-cta .cta-image {
    margin: 0 -28px;
}

.verify-cert-cta .cta-image img {
    width: 100%;
    display: block;
}